import { select, range, scaleOrdinal } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');


/* 

svg.selectAll('circle') makes an empty selection because there are no circles 
prior to it being invoked.

Now we need to give it an array of data for the join
.data(fruits)

.append('circle') will append a circle to any data point that doesn't have a circle. 

// module exported to fruitBowl.js

*/


const makeFruit = type =>{
	return { 
    type,
    id: Math.random()
  };
}

let fruits = range(5)
	.map(() => makeFruit('apple'));


const render = () =>{

  fruitBowl(svg, { 
    fruits, 
    height: +svg.attr('height') 
  })

};

render();

//Eat a apple
setTimeout(() => {
  fruits.pop();
  render();
}, 1000);

//Replacing an apple with a lemon.
setTimeout(() => {
  fruits[2].type = "lemon";
  render();
}, 2000);

//Replacing an apple with a lemon.
setTimeout(() => {
  fruits = fruits.filter((d, i) =>{
  	return i !== 1;
  })
  render();
}, 3000);



